Subject: Re: [Emu] [Technical Errata Reported] RFC7170 (5765)

From: Joseph Salowey <[email-masked]>
Date: Thu, 11 Jul 2019 10:23:13 -0700

This report looks to be valid and straight forward.   Any objections to
verifying and accepting this errata report?

On Fri, Jun 28, 2019 at 1:16 AM RFC Errata System <[email-masked]>
wrote:

> The following errata report has been submitted for RFC7170,
> "Tunnel Extensible Authentication Protocol (TEAP) Version 1".
>
> --------------------------------------
> You may review the report below and at:
> https://www.rfc-editor.org/errata/eid5765
>
> --------------------------------------
> Type: Technical
> Reported by: Jouni Malinen <[email-masked]>
>
> Section: 4.2.2
>
> Original Text
> -------------
>    M
>
>       Mandatory, set to one (1)
>
>
> Corrected Text
> --------------
>    M
>
>       0 (Optional)
>
>
> Notes
> -----
> Authority-ID TLV is used only as an Outer TLV (in TEAP/Start) and Section
> 4.3.1 mandates all Outer TLVs to be marked as optional ("Outer TLVs MUST be
> marked as optional"). As such, Section 4.2.2 is incorrect in claiming the
> Authority-ID TLV to use M=1.
>
> Instructions:
> -------------
> This erratum is currently posted as "Reported". If necessary, please
> use "Reply All" to discuss whether it should be verified or
> rejected. When a decision is reached, the verifying party
> can log in to change the status and edit the report, if necessary.
>
> --------------------------------------
> RFC7170 (draft-ietf-emu-eap-tunnel-method-10)
> --------------------------------------
> Title               : Tunnel Extensible Authentication Protocol (TEAP)
> Version 1
> Publication Date    : May 2014
> Author(s)           : H. Zhou, N. Cam-Winget, J. Salowey, S. Hanna
> Category            : PROPOSED STANDARD
> Source              : EAP Method Update
> Area                : Security
> Stream              : IETF
> Verifying Party     : IESG
>